/* start: Global */
/* start: carousel */
.carousel-indicator {
    text-align: center;
}
.carousel-indicator span {
    display: inline-block;
    width: .625rem;
    height: .625rem;
    border-radius: 50%;
    background-color: var(--grey);
    cursor: pointer;
    margin: 0 .125rem;
}
.carousel-indicator span.active {
    background-color: var(--blue);
}
/* end: carousel */



section {
    padding: 100px 0;
}
/* end: Global */



/* start: Navbar */
nav {
    padding: 10px 0;
    height: 4rem;
    box-sizing: content-box;
}
/* end: Navbar */



/* start: Header */
.header {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQ0MCIgaGVpZ2h0PSI0NjQiIHZpZXdCb3g9IjAgMCAxNDQwIDQ2NCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xNDQwIDBIMFYxNzZWMzM2TDgwIDM0Ni43Qzg0LjQ4ODggMzQ3LjI3OCA4OS4yMjk1IDM0Ny44OTMgOTQuMjA4IDM0OC41MzhDMTc3Ljk1NSAzNTkuMzk5IDMyOC45NzggMzc4Ljk4MyA0ODAgMzc4LjdDNTQ0LjUyMSAzNzguODIxIDYwOS4wNDIgMzc1LjMxNiA2NzMuNTYyIDM3MS44MUM3NjkuMDQyIDM2Ni42MjMgODY0LjUyMSAzNjEuNDM2IDk2MCAzNjhDMTEyMCAzNzkgMTI4MCA0MjEgMTM2MCA0NDIuN0wxNDQwIDQ2NFYxNzZWMFoiIGZpbGw9IiNFRUZBRkYiLz4KPC9zdmc+Cg==");
    background-repeat: no-repeat;
    background-size: 100%;
}
.header-wrapper {
    display: grid;
    grid-template-columns: 1fr 475px;
    gap: 4rem;
}
/* end: Header */



/* start: Join Section */
.join {
    padding: 100px 0 200px;
}
.join-business-wrapper {
    display: grid;
    grid-auto-columns: calc((100% - (1.25rem * 3)) / 4);
    grid-auto-flow: column;
    grid-gap: 1.25rem;
    overflow-x: auto;
    scrollbar-width: none;
    scroll-behavior: smooth;
    scroll-snap-type: x mandatory;
}
.join-business-wrapper::-webkit-scrollbar {
    display: none;
}
.join-business-item {
    position: relative;
    scroll-snap-align: start;
    padding: 0.25rem;
}
.join-business-item::before {
    content: '';
    position: absolute;
    background-image: url(/_img/sold-ribbon.png);
    top: 0;
    right: 0;
    pointer-events: none;
    width: 87px;
    height: 87px;
    z-index: 10;
}
.join-business-item-image {
    display: block;
    aspect-ratio: 1 / 1;
    width: 100%;
    object-fit: cover;
    max-height: 240px;
    height: 240px;
    background-color: var(--grey);
}
.join-business-item-title {
    display: block;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
    font-size: 1.25rem;
}
/* end: Join Section */



/* start: Featured */
.featured {
    background-color: #2c4150;
}
.featured-image {
    display: block;
    margin: auto;
    width: 4143px;
    height: 61px;
    animation: featuredImageScroll 30s infinite linear;
}



@keyframes featuredImageScroll{
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-3003px);
    }
}
/* end: Featured */



/* start: Selling Fast */
.selling-fast-wrapper {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 2rem;
}
.selling-fast-item-text {
    font-size: 1.75rem;
}
/* end: Selling Fast */



/* start: Review */
.review {
    background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTQ0MCIgaGVpZ2h0PSI0NjQiIHZpZXdCb3g9IjAgMCAxNDQwIDQ2NCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZmlsbC1ydWxlPSJldmVub2RkIiBjbGlwLXJ1bGU9ImV2ZW5vZGQiIGQ9Ik0xNDQwIDBIMFYxNzZWMzM2TDgwIDM0Ni43Qzg0LjQ4ODggMzQ3LjI3OCA4OS4yMjk1IDM0Ny44OTMgOTQuMjA4IDM0OC41MzhDMTc3Ljk1NSAzNTkuMzk5IDMyOC45NzggMzc4Ljk4MyA0ODAgMzc4LjdDNTQ0LjUyMSAzNzguODIxIDYwOS4wNDIgMzc1LjMxNiA2NzMuNTYyIDM3MS44MUM3NjkuMDQyIDM2Ni42MjMgODY0LjUyMSAzNjEuNDM2IDk2MCAzNjhDMTEyMCAzNzkgMTI4MCA0MjEgMTM2MCA0NDIuN0wxNDQwIDQ2NFYxNzZWMFoiIGZpbGw9IiNFRUZBRkYiLz4KPC9zdmc+Cg==");
    background-repeat: no-repeat;
    background-size: 100%;
}
.review-item {
    display: none;
    animation: fadeIn 1s forwards;
}
.review-item.active {
    opacity: 1;
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
    gap: 2rem;
    align-items: center;
}
.review-item img {
    width: 100%;
    aspect-ratio: 4 / 3;
    object-fit: cover;
}
.review-item-text {
    font-size: 1.625rem;
}
.review-item-icon {
    width: 50px;
    height: 50px;
}



@keyframes fadeIn {
    0% {
        opacity: 0;
    }
    100% {
        opacity: 100%;
    }
}
/* end: Review */



/* start: Footer */
footer {
    padding: 1.25rem 0;
}
/* end: Footer */







/* start: Breapoints */
@media screen and (max-width: 1200px) {
	.join-business-wrapper {
        grid-auto-columns: calc((100% - (1.25rem * 2)) / 3);
    }
}



@media screen and (max-width: 991px) {
    .review-item img {
        aspect-ratio: 1 / 1;
    }

    .header-wrapper {
        grid-template-columns: 1fr;
    }
}



@media screen and (max-width: 767px) {
    .join,
    section {
        padding: 50px 0;
    }
    .review-item.active,
    .selling-fast-wrapper {
        grid-template-columns: 1fr;
    }



    .header {
        background-image: none;
        background-color: #f6f9fc;
    }
    .header-wrapper {
        grid-auto-flow: row;
    }
    .header-form-title {
        color: var(--dark);
    }



    .review {
        background-size: 300%;
    }
    .review-item-icon {
        width: 30px;
        height: 30px;
    }
    .review-item img {
        aspect-ratio: 4 / 3;
    }



    .join-business-wrapper {
        grid-auto-columns: calc((90% - 1.25rem) / 2);
    }
}



@media screen and (max-width: 576px) {
    .header {
        box-shadow: inset 0 -50px 0 var(--white);
    }
    .header-form-box {
        padding: 24px 0;
        box-shadow: 0 0 0 1rem var(--white);
        border-radius: 0;
    }
    .header-form-start-selling {
        background-color: var(--grey);
        padding: 1rem 0;
        box-shadow: 1rem 0 0 var(--grey), -1rem 0 0 var(--grey);
    }



    .join-business-wrapper {
        grid-auto-columns: 232px;
    }
	.join-business-item-image {
        max-height: 232px;
    }

    .sell-business-cta {
        flex-direction: column;
    }
}
/* end: Breapoints */